| Home | Libraries | People | FAQ | More

#### boost::mqtt5::qos_e

Represents the Quality of Service (`QoS`) property of the `PUBLISH` packets.

##### Synopsis

Defined in header `<boost/mqtt5/types.hpp>`

    enum class qos_e
        : std::uint8_t;

##### Values

Name | Description
--- | ---
`at_most_once` | The message arrives at the receiver either once or not at all.
`at_least_once` | Ensures the message arrives at the receiver at least once.
`exactly_once` | All messages arrive at the receiver exactly once without loss or duplication of the messages.

##### Description

Determines how the `PUBLISH` packets are delivered from the sender to the receiver.

Convenience header `<boost/mqtt5.hpp>`